#ifdef STATISTICS
#include "Behavioural/include/Stat_binary_tree.h"

namespace morpheo {
namespace behavioural {  
  counter_t Stat_binary_tree::eval (void)
  {
    if (is_leaf ())
      return val_leaf();
    else
      return val_tree();
  }
};  
};
#endif
